/*
 * bbftpc/bbftp_put.c
 * Copyright (C) Dan Schrager
 * Dan.Schrager@weizmann.ac.il
 */ 

#include "bbftp.h"
#include "client.h"
#include "client_proto.h"

extern int gtpt;

static int do_put( char *remotefilename ) {
  int retcode;

  /* Sending file attributes */
  retcode = sendattributes( remotefilename );
  if( retcode != OK777 )
    return( retcode );

  /* Getting file features */
  retcode = startgame();
  if( retcode != OK777 )
    return( retcode );

  /* Starting children */
  return( dochildren() );
}
		  

int bbftp_put( char *remotefilename ) {
  gtpt = 0;
  return( do_put( remotefilename ) );
}
