/*
 * includes/status.h
 * Copyright (C) 1999, 2000, 2001, 2002 IN2P3, CNRS
 * bbftp@in2p3.fr
 * http://doc.in2p3.fr/bbftp
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */ 

/****************************************************************************

  
  
 status.h v 0.0.0 1999/11/24
          v 1.6.0 2000/03/25    - Add status for sending
          v 2.0.0 2000/12/19    - Add status for protocol v2

*****************************************************************************/

#define STATUS_LIST									\
	T(S_LOGGED),			/* Logged IN */					\
	T(S_WAITING_FILENAME_STORE),	/* Waiting for the filename in store */		\
	T(S_WAITING_FILENAME_RETR),	/* Waiting for the filename in retrieve */	\
	T(S_WAITING_STORE_START),	/* Waiting for the start (store) */		\
	T(S_WAITING_RETR_START),	/* Waiting for the start (retr) */		\
	T(S_WAITING_CREATE_ZERO)	/* Waiting for the start (retr) */

#define	T(x)	x
enum STATUS_TYPE {
	STATUS_LIST
};
#undef T

extern const char * const STATUS_NAMES[];

